package com.knecon.fforesight.service.viewerdoc.model;

import java.util.LinkedList;
import java.util.List;

import lombok.AccessLevel;
import lombok.Builder;
import lombok.Getter;
import lombok.experimental.FieldDefaults;

@Getter
@Builder
@FieldDefaults(makeFinal = true, level = AccessLevel.PRIVATE)
public class VisualizationsOnPage {

    boolean makePathsInvisible;
    @Builder.Default
    List<PlacedText> placedTexts = new LinkedList<>();
    @Builder.Default
    List<ColoredLine> coloredLines = new LinkedList<>();
    @Builder.Default
    List<ColoredRectangle> coloredRectangles = new LinkedList<>();
    @Builder.Default
    List<FilledRectangle> filledRectangles = new LinkedList<>();

}
